<?php

namespace CRM\Controller;

use Zeedhi\Framework\DTO\Request;
use CRM\Traits\TResponse;
use CRM\Service\CrmDashboardService;

class CrmDashboardController
{
    protected $DashboardService;

    use TResponse;

    public function __construct(CrmDashboardService $DashboardService)
    {
        $this->DashboardService = $DashboardService;
    }

    public function dataBaseChartPie()
    {
        try {
            $data = $this->DashboardService->dataBaseChartPieService();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
