<?php

namespace CRM\Service;

use CRM\Factory\CrmDashboardFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Doctrine\ORM\EntityManager;

class CrmDashboardService
{

    protected $DashboardFactory;
    protected $Environment;
    protected $newCode;
    protected $connection;

    public function __construct(Environment $Environment, NewCode $newCode, EntityManager $entityManager, CrmDashboardFactory $DashboardFactory)
    {
        $this->DashboardFactory         = $DashboardFactory;
        $this->Environment                  = $Environment;
        $this->newCode                      = $newCode;
        $this->connection                   = $entityManager->getConnection();
    }

    public function dataBaseChartPieService()
    {
        return $this->DashboardFactory->dataBaseChartPieFactory();
    }
}
